Subject: [PATCH 0/5] Re-implement 'git remote update' using 'git fetch'

From: Björn Gustavsson <[email-masked]>
Date: Mon, 09 Nov 2009 21:08:52 +0100

Here is the re-roll of my patch series for extending
the capabilities of 'git fetch' so that it can be used
for re-implementing 'git remote update'.

Since Jay Soffian is working on implementing 'git fetch
--prune', I have not attempted to implement it myself.
Therefore, 'git fetch update' in the final patch still
silently ignores the --prune option.

I have made the following changes compared to the previous
version of the series:

* Updated the usage strings in builtin_fetch.c.

* Added test cases for testing the new functionality in
  'git fetch'.

* Updated the documentation.

* Added a new test case for 'git remote update --prune'.
  (Since all tests case succeeded even though 'git
  remote update' didn't handle --prune correctly, there
  was clearly a missing test case.) In the final commit,
  I marked that new test case as a known breakage, so
  that the test suite will still pass.

* Some corrections and improvements of the commit
  messages.

Björn Gustavsson (5):
  Teach the --all option to 'git fetch'
  Teach the --multiple option to 'git fetch'
  Add the configuration option skipFetchAll
  Add missing test for 'git remote update --prune'
  Re-implement 'git remote update' using 'git fetch'

 Documentation/config.txt           |    8 ++-
 Documentation/fetch-options.txt    |    9 ++
 Documentation/git-fetch.txt        |   14 +++-
 Documentation/pull-fetch-param.txt |    7 ++
 builtin-fetch.c                    |  160 ++++++++++++++++++++++++++++++++----
 builtin-remote.c                   |   86 ++++++-------------
 remote.c                           |    3 +-
 t/t5505-remote.sh                  |   11 +++
 t/t5506-remote-groups.sh           |   21 ++++-
 t/t5514-fetch-multiple.sh          |  154 ++++++++++++++++++++++++++++++++++
 10 files changed, 389 insertions(+), 84 deletions(-)
 create mode 100755 t/t5514-fetch-multiple.sh